function [kxadim,Euuadim,etak]=Adimspectrum(kx,Euu,epsilon,lint)
% nondimensional spectrum
% we suppose : Int(Euu) between -infty and +infty = urms^2
% E11(k1)=18/55 K0 (Keta)^-5/3
% we also have (Tennekes) 
% F11(0)=urms^2/pi*Lintu'u' (p273)
% F22(0)=urms^2/pi*Lintw'w' (p273)
% avec Lf(u'u' et x)=Lint/2 et Lg(w'w' et x)=Lint/4
ss=squeeze(size(Euu));
nx=ss(1)
nu=0.01;    % evrything in in cm for the lengths
K0=1.8;
facteur=9.0/55.0;
% urms verification
intEuu=sum(Euu)*kx(2);
urms2=intEuu;
fprintf(1,'Int(Euu) from -inty to infty : %u\t, should be equal (or close) to urms^2 : %u\n ',intEuu,urms2); 
%facteur=66/55.0;
etak=(nu^3/epsilon)^0.25;
kxadim=etak*kx;
Euuadim=Euu/(epsilon*nu^5)^0.25;
Euuadimtheo=facteur*K0*(kxadim).^(-5.0/3.0);
EuuadimtheoTennekes=Euuadimtheo;
kx0int=1.8/lint;
alpha=1.5;
for i=1:nx
    kxloc=kx(i);
    if (kxloc<kx0int)
        Euuloc=33/110*alpha*urms2*lint*(kx0int*lint)^(-5.0/3.0)*(1.0-5.0/11.0*(kxloc/kx0int)^2);
    else
        Euuloc=9/55*alpha*urms2*lint*(kxloc*lint)^(-5.0/3.0);
    end
    EuuadimtheoTennekes(i)=Euuloc/(epsilon*nu^5)^0.25;
end
Euuadimtheobis=facteur*K0*(kxadim).^(-5.0/3.0).*exp(-K0*(kxadim).^(4.0/3.0));
Euuadimtheoter=facteur*K0*(kxadim).^(-5.0/3.0).*(1.0+(1.5*K0)^2.*(kxadim).^(4.0)).^(-4.0/3.0);
Euuadimtheo4=facteur*K0*(kxadim).^(-5.0/3.0).*(1.0-0.5*K0*(kxadim).^(4.0/3.0)).^2;
kxadimlint=2.0*pi/lint*etak;
figure;
plot(log10(kxadim),log10(Euuadim),'k');
hold on
minikxadim=log10(kxadim(2))
maxikxadim=log10(kxadim(nx/2))
Emin=log10(Euuadim(nx/2))
Emax=log10(Euuadim(1))
%minikxadim=-2.5
%maxikxadim=0.0
%Emin=-2.0;
%Emax=1.5
axis([minikxadim maxikxadim Emin Emax]);
%dec=-1.;
%plot([minifreqadim maxifreqadim],[log10(Euuadim(tailletps/2-1))+5.0/3.0*(maxifreqadim-minifreqadim)+dec log10(Euuadim(tailletps/2-1))+dec]);
hold on
plot([log10(kxadimlint) log10(kxadimlint)],[Emin Emax],'r');
plot([0 0],[Emin Emax],'r');
plot(log10(kxadim),log10(Euuadimtheo),'g');
plot(log10(kxadim),log10(EuuadimtheoTennekes),'b');
plot(log10(kxadim),log10(Euuadimtheobis),'g--');
plot(log10(kxadim),log10(Euuadimtheoter),'g--');
plot(log10(kxadim),log10(Euuadimtheo4),'g--');
end
