function [] = PlotTaylor(freq,Euu,urms,Ttaylor,Tint)
% plot nondimensional spectrum according to alhomoud,
% following Euu/(urms^4/epsilon)=f(omega*urms^2/epsilon)
ss=size(freq);
tailletps=ss(1);
Lint=urms*Tint;
freqadim=freq*Ttaylor;
freqtayloradim=2.0*pi/Ttaylor*Ttaylor;
freqintadim=2.0*pi/Tint*Ttaylor;
Euuadim=(2.0*pi)^2*Euu/(urms*Lint);
figure;
plot(log10(freqadim),log10(Euuadim));
hold on
minifreqadim=log10(freqadim(1));
maxifreqadim=log10(freqadim(tailletps));
Emin=log10(Euuadim(tailletps));
Emax=log10(Euuadim(1));
axis([minifreqadim maxifreqadim Emin Emax]);
plot([log10(freqtayloradim) log10(freqtayloradim)],[Emin Emax],'b'); % echelle de taylor
plot([log10(freqintadim) log10(freqintadim)],[Emin Emax],'r');       % echelle integrale
% polynomial fitting
x=log10(freqadim);
y=-5.0/3.0*log10(freqadim);
posdep=max(log10(Euuadim)-y);
plot(x,y+posdep,'k--'); 
xlabel('\omega*T_{taylor}')
ylabel('E_{uu}(\omega)*(2 \pi)^2 / (u_{rms} L_{int})')
title('Temporal spectrum E_{uu}(\omega) in nondimensional representation with Taylor scale')
end

